package com.muyu.common.acos.api;

import com.dtflys.forest.annotation.Address;
import com.dtflys.forest.annotation.BaseRequest;
import com.dtflys.forest.annotation.Body;
import com.muyu.common.acos.domain.req.NacosListReq;
import com.muyu.common.acos.domain.resp.NacoeListResp;
import com.muyu.common.core.constant.Constants;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * @Author: 胡杨
 * @Name: NacosServiceApi
 * @Description: nacos服务接口
 * @CreatedDate: 2024/8/9 下午2:16
 * @FilePath: com.muyu.common.acos.remote
 */
@BaseRequest(
        baseURL = Constants.HTTP + "#{nacos.addr}/nacos/v1/ns/service"
)
public interface NacosServiceApi {

    @GetMapping("/list")
    NacoeListResp serviceList(@Body NacosListReq nacosListReq);
}
