package com.muyu.common.acos.domain.req;

import lombok.*;

/**
 * @Author: 胡杨
 * @Name: BaseReq
 * @Description: nacos请求基类
 * @CreatedDate: 2024/8/9 下午5:19
 * @FilePath: com.muyu.common.acos.domain.req
 */

@Data
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class BaseReq {
    /**
     * 分组名
     */
    private String groupName;
    /**
     * 命名空间ID
     */
    private String namespaceId;
}
